package com.bocloud.ims.entity.resource;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.IgnoreAll;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.meta.PKStrategy;

/**
 * 镜像挂载的卷
 *
 * @author luyanchao
 * @since 2019-02-13
 */
@Table("image_volume")
public class ImageVolume {

    @PK(value = PKStrategy.AUTO)
    private Long id; // ID
    @Column("image_id")
    private Long imageId;
    @Column("volume_id")
    private Long volumeId;

    @Column("image_name")
    @IgnoreAll
    private String imageName;
    @Column("volume_name")
    @IgnoreAll
    private String volumeName;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getImageId() {
        return imageId;
    }

    public void setImageId(Long imageId) {
        this.imageId = imageId;
    }

    public Long getVolumeId() {
        return volumeId;
    }

    public void setVolumeId(Long volumeId) {
        this.volumeId = volumeId;
    }

    public String getImageName() {
        return imageName;
    }

    public void setImageName(String imageName) {
        this.imageName = imageName;
    }

    public String getVolumeName() {
        return volumeName;
    }

    public void setVolumeName(String volumeName) {
        this.volumeName = volumeName;
    }
}
